# General

{% hint style="info" %}

#### Demo Environment

When sending test data to the following endpoints, change the domain to `https://demo-api.certn.co`.
{% endhint %}

To view a list of all application parameters, visit [Application parameters](/api/certn-api-v-1.0/api-reference/resources/application-parameters.md).

## Teams

## Retrieve your teams

<mark style="color:blue;">`GET`</mark> `https://api.certn.co/api/v2/teams/` [<mark style="color:$danger;">**`DEPRECATED`**</mark>](/api/certn-api-v-1.0/deprecation.md)

View the details of all your teams.

{% tabs %}
{% tab title="200: OK Teams successfully retrieved" %}
{% tabs %}
{% tab title="Response type" %}
{% code title="application/json" %}

```json
[
    {
        "id": string <uuid>,
        "name": string,
        "business_number": integer,
        "accounting_first_name": string,
        "accounting_last_name": string,
        "accounting_email": string,
        "team_first_name": string,
        "team_last_name": string,
        "team_email": string,
        "team_phone_number": string,
        "street_address": string,
        "city": string,
        "province_state": string <two letter code>,
        "country": string <ISO Country Code>,        
        "postal_code": string,
        "website": string,
        "industry": string,
        "active_user_count": integer,
        "internal_name": string,        
        "team_type": string,
    }
]
```

{% endcode %}
{% endtab %}

{% tab title="Example" %}
{% code title="application/json" %}

```json
[
    {
        "id": "17f225cf-f547-437a-8bd9-36599416f7e9",
        "name": "Example Team",
        "business_number": 1234,
        "accounting_first_name": "Magnus",
        "accounting_last_name": "Certn",
        "accounting_email": "example@certn.co",
        "team_first_name": "M",
        "team_last_name": "C",
        "team_email": "example_teammail@certn.co",
        "team_phone_number": null,
        "street_address": "4412 King Alfred Court",
        "city": "Victoria",
        "province_state": "BC",
        "country": "CA",
        "postal_code": null,
        "website": "https://www.certn.co",
        "industry": "Background Checks",
        "active_user_count": 7,
        "internal_name": "Example Team",
        "team_type": "OT"
    }
]
```

{% endcode %}
{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

## Retrieve your address references templates

<mark style="color:blue;">`GET`</mark> `https://api.certn.co/api/v2/teams/{team_id}/address/reference_templates/` [<mark style="color:$danger;">**`DEPRECATED`**</mark>](/api/certn-api-v-1.0/deprecation.md)

View the details of all your address references templates for a team.

#### Path Parameters

| Name                                       | Type   | Description    |
| ------------------------------------------ | ------ | -------------- |
| team\_id<mark style="color:red;">\*</mark> | string | ID of the team |

{% tabs %}
{% tab title="200: OK Questionnaires successfully retrieved" %}
{% tabs %}
{% tab title="Response type" %}
{% code title="application/json" %}

```json
[
    {
        "id": string,
        "name": string,
        "version": string,
        "description": string,
        "type": string < enum > ,
        "questions": [{
                "id": string,
                "index": int,
                "question": string,
                "type": string < enum > ,
                "multiple_choice_options": [
                    string,
                    string
                ],
                "multiple_choice_correct_option": string,
                "is_verifiable": boolean,
                "is_required": boolean
            }, {
                "id": string,
                "index": int,
                "question": string,
                "type": string < enum > ,
                "multiple_choice_options": [
                    string,
                    string
                ],
                "multiple_choice_correct_option": string,
                "is_verifiable": boolean,
                "is_required": boolean
            }
        ]
    }
]

```

{% endcode %}
{% endtab %}

{% tab title="Example" %}
{% code title="application/json" %}

```json
[
    {
        "id": "ae3087ac-bccc-4cf1-b149-30b2a854d210",
        "name": "Default",
        "version": "0.0.0",
        "description": "Default Address Reference Questionnaire",
        "type": "ADDRESS",
        "questions": [{
                "id": "80f2d05c-8ee0-4c8e-a8fe-030403bd3378",
                "index": 0,
                "question": "Did {{ first_name }} {{ last_name }} rent from {{ start_date }}{% if end_date %} to {{ end_date }}{% endif %}?",
                "type": "TRUE_FALSE",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": true,
                "is_required": true
            }, {
                "id": "ae95f70b-24b8-4cc5-97ae-19aeefe732bd",
                "index": 1,
                "question": "What was the address {{ first_name }} {{ last_name }} lived at?",
                "type": "MULTIPLE_CHOICE",
                "multiple_choice_options": [
                    "11012 Main St. Vancouver BC V6T 1X1",
                    "2023 Alma Ave. Toronto ON M6H 3P2",
                    "4334 Connolly St. Halifax NS B3L 3M4",
                    "{{ address }}"
                ],
                "multiple_choice_correct_option": "{{ address }}",
                "is_verifiable": true,
                "is_required": false
            }, {
                "id": "be755532-f4a2-4372-bb80-8dca8e9fe4f4",
                "index": 2,
                "question": "Was {{ first_name }} {{ last_name }} generally a clean and/or organized tenant (1 not clean, 10 very clean)?",
                "type": "NUMERIC_RANGE",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": false,
                "is_required": false
            }, {
                "id": "b5b7383e-a165-4722-b09c-082643bb3cfc",
                "index": 3,
                "question": "How well did {{ first_name }} {{ last_name }} generally get along with property managers and/or fellow residents (1 not well at all, 10 very well)?",
                "type": "NUMERIC_RANGE",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": false,
                "is_required": false
            }, {
                "id": "a85394ae-2e49-47a7-a94a-a8b6f6200103",
                "index": 4,
                "question": "How likely would you be to rent to {{ first_name }} {{ last_name }} again? Are you comfortable recommending {{ first_name }} {{ last_name }} as a tenant (1 not likely, 10 very likely)?",
                "type": "NUMERIC_RANGE",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": false,
                "is_required": false
            }, {
                "id": "21c8810b-bb58-4f5b-8445-17526757da73",
                "index": 5,
                "question": "Did you receive complaints from neighbours with regards to {{ first_name }} {{ last_name }}'s behaviour (1 frequently, 10 never)?",
                "type": "NUMERIC_RANGE",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": false,
                "is_required": false
            }, {
                "id": "05b96f0f-fbf0-4378-907f-177c6682a034",
                "index": 6,
                "question": "Do you have any additional comments you'd like to provide regarding {{ first_name }} {{ last_name }}?",
                "type": "LONG_ANSWER",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": false,
                "is_required": false
            }
        ]
    }
]

```

{% endcode %}
{% endtab %}
{% endtabs %}

{% endtab %}

{% tab title="404: Not Found Team not found" %}
This may be happening because:<br>

**The ID you provided couldn't be found**

Add your team ID to the URL and make sure it's in the proper format.

*See* [Error codes](/api/certn-api-v-1.0/api-reference/resources/error-codes.md#404-not-found) *for more details.*
{% endtab %}
{% endtabs %}

## Retrieve your employer references templates

<mark style="color:blue;">`GET`</mark> `https://api.certn.co/api/v2/teams/{team_id}/employer/reference_templates/` [<mark style="color:$danger;">**`DEPRECATED`**</mark>](/api/certn-api-v-1.0/deprecation.md)

View the details of all employer references templates for a team.

#### Path Parameters

| Name                                       | Type   | Description    |
| ------------------------------------------ | ------ | -------------- |
| team\_id<mark style="color:red;">\*</mark> | string | ID of the team |

{% tabs %}
{% tab title="200: OK Questionnaires successfully retrieved" %}
{% tabs %}
{% tab title="Response type" %}
{% code title="application/json" %}

```json
[
    {
        "id": string,
        "name": string,
        "version": string,
        "description": string,
        "type": string < enum > ,
        "questions": [{
                "id": string,
                "index": int,
                "question": string,
                "type": string < enum > ,
                "multiple_choice_options": [
                    string,
                    string,
                    string
                ],
                "multiple_choice_correct_option": string,
                "is_verifiable": boolean,
                "is_required": boolean
            }, {
                "id": string,
                "index": int,
                "question": string,
                "type": string < enum > ,
                "multiple_choice_options": [
                    string,
                    string,
                    string
                ],
                "multiple_choice_correct_option": string,
                "is_verifiable": boolean,
                "is_required": boolean
            }
        ]
    }
]
```

{% endcode %}
{% endtab %}

{% tab title="Example" %}
{% code title="application/json" %}

```json
[
    {
        "id": "9550b49d-4069-4b41-8672-b9dc02661db2",
        "name": "Default",
        "version": "0.0.0",
        "description": "Default Employer Reference Questionnaire",
        "type": "EMPLOYER",
        "questions": [{
                "id": "c598a517-b89d-4372-873b-b0f27c8afd27",
                "index": 0,
                "question": "What was {{ first_name }} {{ last_name }}'s most recent position at {{ company_name }}?",
                "type": "MULTIPLE_CHOICE",
                "multiple_choice_options": [
                    "Financial Analyst",
                    "Receptionist",
                    "Contractor",
                    "{{ position }}"
                ],
                "multiple_choice_correct_option": "{{ position }}",
                "is_verifiable": true,
                "is_required": false
            }, {
                "id": "0f1aebd6-2286-435f-bd81-f9d8e9a0645d",
                "index": 1,
                "question": "Did {{ first_name }} {{ last_name }} work at {{ company_name }} from {{ start_date }}{% if end_date %} to {{ end_date }}{% endif %}?",
                "type": "TRUE_FALSE",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": true,
                "is_required": false
            }, {
                "id": "4c1d943d-b595-4b7f-9983-be13a72e0003",
                "index": 2,
                "question": "If given the opportunity, would you hire {{ first_name }} {{ last_name }} again?",
                "type": "TRUE_FALSE",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": false,
                "is_required": false
            }, {
                "id": "1fedf7c4-0f7f-4546-841f-c6eb226da2b8",
                "index": 3,
                "question": "In general, how well did {{ first_name }} {{ last_name }} get along with customers, peers and/or managers (1 not at all, 10 very much so)?",
                "type": "NUMERIC_RANGE",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": false,
                "is_required": false
            }, {
                "id": "f408d503-da54-42a4-b29e-d235bf9c890c",
                "index": 4,
                "question": "In general, did {{ first_name }} {{ last_name }} arrive on time to work (1 not at all, 10 very much so)?",
                "type": "NUMERIC_RANGE",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": false,
                "is_required": false
            }, {
                "id": "e6c11a10-b4b8-4f47-a304-edf498e1e50f",
                "index": 5,
                "question": "How well did {{ first_name }} {{ last_name }} satisfy the requirements of the position (1 not satisfactory, 10 very satisfactory)?",
                "type": "NUMERIC_RANGE",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": false,
                "is_required": false
            }, {
                "id": "aea311f1-a98d-42a5-b23b-a092affd275c",
                "index": 6,
                "question": "Did {{ first_name }} {{ last_name }} go above and beyond what was required without being asked (1 not at all, 10 very much so)?",
                "type": "NUMERIC_RANGE",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": false,
                "is_required": false
            }, {
                "id": "cd1d12c0-002b-4090-a758-6904ad7c2bf1",
                "index": 7,
                "question": "How would you rate {{ first_name }} {{ last_name }}'s ability to handle high pressure or stressful situations (1 not good at all, 10 very good)?",
                "type": "NUMERIC_RANGE",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": false,
                "is_required": false
            }, {
                "id": "3dc846b6-773e-4cfe-852d-5eec405c5f5c",
                "index": 8,
                "question": "Do you have any additional comments you'd like to provide regarding {{ first_name }} {{ last_name }}?",
                "type": "LONG_ANSWER",
                "multiple_choice_options": null,
                "multiple_choice_correct_option": null,
                "is_verifiable": false,
                "is_required": false
            }
        ]
    }
]
```

{% endcode %}
{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="404: Not Found Team not found" %}
This may be happening because:<br>

**The ID you provided couldn't be found**

Add your team ID to the URL and make sure it's in the proper format.

*See* [Error codes](/api/certn-api-v-1.0/api-reference/resources/error-codes.md#404-not-found) *for more details.*
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.certn.co/api/certn-api-v-1.0/api-reference/general.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
